﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>grid template areas</title>
	<style>
	main{
		display:grid;
		grid-template-columns: 1fr 2fr 1fr;
		grid-template-rows: 1fr 4fr 1fr;
		grid-template-areas: 
			"header header header"
			"sidebar content sidebar2"
			"footer footer footer";
		grid-gap:5px;
		font-size:2em;
		color:white;
	}
	.item-a{
		grid-area: header;
		background-color:olive;
		padding:10px;
		border-radius:8px;
	}
	.item-b{
		grid-area: sidebar;
		background-color:green;
		padding:10px;
		border-radius:8px;
	}
	.item-c{
		grid-area: content;
		background-color:green;
		padding:10px;
		border-radius:8px;
	}
	.item-d{
		grid-area: sidebar2;
		background-color:lime;
		padding:10px;
		border-radius:8px;
	}
	.item-e{
		grid-area: footer;
		background-color:olive;
		padding:10px;
		border-radius:8px;
	}
	
	</style>
</head>

<body>
<main>
	<div class="item-a">Header</div>
	<div class="item-b">Sidebar</div>
	<div class="item-c">Content<br/>More content than we had before so this column is now quite tall</div>
	<div class="item-d">Sidebar2</div>
	<div class="item-e">Footer</div>
</main>
</body>

</html>
